# $Revision: 1.19 $, $Date: 2004/08/30 14:19:16 $
Summary:	Virtual operating system
Summary(pl):	Wirtualny system operacyjny
Name:		argante
Version:	1.0
Release:	1
License:	LGPL
Vendor:		Argante Development Team <argante@cgs.pl>
Group:		Applications/System
Source0:	http://lcamtuf.na.export.pl/arg.tgz
# Source0-md5:	cf5d46d8e5d12521abb7ad4e6277d331
URL:		http://agt.buka.org/
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	svgalib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Argante is a fully-operational, software-embedded virtual operating
system environment, designed for high security, efficiency and
usability, reducing amount of resources required to develop complex
networked applications and solutions. It supports Hierarchical Access
Control, remote Inter-Process Communication for distributed computing
(easy clusters / virtual router development) as well as many other
features. It comes with comprehensive documentation, many examples, a
compact HTTP server and DVR (distributed virtual router) examples.

%description -l pl
Argante to w peni sprawny wirtualny systemem operacyjny
zaprojektowany do tworzenia aplikacji i rozwiza sieciowych o
wysokim poziomie bezpieczestwa, skutecznoci i uytecznoci. System
wspiera HAC (hierarchiczne listy dostpu, zdaln komunikacj
midzyprocesow dla przetwarzania rozproszonego (klastry, wirtualne
routery) jak i wiele innych. Wraz z systemem dostarczana jest
dokumentacja, wiele przykadw, kompaktowy serwer HTTP oraz DVR
(rozproszony router wirtualny).

%prep
%setup -q -n Argante
touch * */* */*/*

%build
OPT="%{rpmcflags}" ./build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/argante
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install argante			$RPM_BUILD_ROOT%{_bindir}
install tools/{agt*,ripcd}	$RPM_BUILD_ROOT%{_bindir}
install compiler/agtc		$RPM_BUILD_ROOT%{_bindir}
install hll/{ahlt,elim,acc}	$RPM_BUILD_ROOT%{_bindir}
install modules/*.so		$RPM_BUILD_ROOT%{_libdir}/argante
install Documentation/man/*.1	$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Documentation/{ANNOUNCE,ChangeLog,DVR.README,People,README,TODO} Examples conf
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %dir %{_libdir}/argante
%attr(755,root,root) %{_libdir}/argante/*.so
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: argante.spec,v $
Revision 1.19  2004/08/30 14:19:16  snurf
- pl desc cosmetics

Revision 1.18  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.17  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.16  2003/10/01 07:34:48  qboosh
- look what you are doing - don't fake changelog entries!; restored

Revision 1.15  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.14  2003/08/06 16:13:59  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.13  2003/07/29 23:47:17  mick3y
- forgot about "openssl-devel >= 0.9.7"

Revision 1.12  2003/07/29 21:27:18  mick3y
- IPC samples goes to Examples, it will build now

Revision 1.11  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:45:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/13 14:02:01  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.8  2002/10/10 11:44:46  marcus
- use new %%doc

Revision 1.7  2002/08/16 16:33:10  qboosh
- ExclusiveArch: x86 alpha (because of svgalib)

Revision 1.6  2002/04/25 15:47:57  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.2  2000/12/20 11:20:14  pascalek
- updated to 1.0

Revision 1.1  2000/11/23 20:46:31  misiek
first argante rpm for PLD
